- Qt 5.15
- Qt Quick 3D
- QML Types
- AreaLight QML Type
- Qt Quick 3D | Commercial or GPLv3

# AreaLight QML Type

Defines an area light in the scene. More...

Import Statement: | import QtQuick3D 1.15
Inherits: | Light

- List of all members, including inherited members

## Properties

- height : real
- width : real

## Detailed Description

The area light is similar to the directional light, but instead of emitting equally bright light across the whole scene, the area light emits directional light from a rectangle shaped object. Aside from the size, an area light has the same characteristics and properties as the directional light.

Rotating, scaling and moving actions will all effect an area light.

See also DirectionalLight, PointLight, and SpotLight.

## Property Documentation

height : real

This property controls the height of an Area lights rectangle

width : real

This property controls the width of an Area lights rectangle.